#version 120
varying vec2 uv;

uniform vec4 color;
uniform sampler2D textureSampler;

void main() {
	float a = texture2D(textureSampler, uv).r;
	vec4 multiplier = vec4(color.rgb * color.a, color.a);
	gl_FragColor = vec4(a, a, a, a) * multiplier;
}